/*******************************************************************************
 * AmbientSound generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class AmbientSound extends Keypoint
    native(Sound)
    placeable
    hidecategories(Navigation)
    classgroup(Sounds)
    autoexpandcategories(Audio);

var() bool bAutoPlay;
var private bool bIsPlaying;
var(Audio) const editconst export editinline AudioComponent AudioComponent;

defaultproperties
{
    bAutoPlay=true
    begin object name=AudioComponent0 class=AudioComponent
        bStopWhenOwnerDestroyed=true
        bShouldRemainActiveIfDropped=true
    object end
    // Reference: AudioComponent'Default__AmbientSound.AudioComponent0'
    AudioComponent=AudioComponent0
    Components(0)=none
    Components(1)=none
    begin object name=AudioComponent0 class=AudioComponent
        bStopWhenOwnerDestroyed=true
        bShouldRemainActiveIfDropped=true
    object end
    // Reference: AudioComponent'Default__AmbientSound.AudioComponent0'
    Components(2)=AudioComponent0
}